### Method

# Gdk Toplevel set_gravity

since: 4.20

#### Declaration [src]

    void
    gdk_toplevel_set_gravity (
      GdkToplevel* toplevel,
      GdkGravity gravity
    )

#### Description [src]

Sets the gravity that is used when changing the toplevel size programmatically.

Available since: 4.20

Sets property | `Gdk.Toplevel:gravity`

#### Parameters

`gravity`

  Type: `GdkGravity`

  The new gravity.